/*
 * Main.java
 *
 * Created on 20 December 2006, 07:54
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package client15;

/**
 *
 * @author Paul Kyberd
 */
public class Main {
    
    /** Creates a new instance of Main */
    public Main() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        
        try { // Call Web Service Operation
            client16.QoSService service = new client16.QoSService();
            client16.QoS port = service.getQoSPort();
            // TODO process result here
            java.lang.String result = port.status();
            System.out.println("Status of the QoSrepository is = "+result);
        } catch (Exception ex) {
            System.out.println("Exception on accessing web service status" + ex);
        }
        try { // Call Web Service Operation
            client16.QoSService service = new client16.QoSService();
            client16.QoS port = service.getQoSPort();
            // TODO initialize WS operation arguments here
            java.lang.String sqlCommand = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
            sqlCommand = sqlCommand + "<sqlCommand>select * from ce;</sqlCommand>";
            // TODO process result here
            System.out.println("sql request is " + sqlCommand);
            java.lang.String result = port.sqlSelect(sqlCommand);
            System.out.println("Result of the sql request is  "+result);
        } catch (Exception ex) {
            // TODO handle custom exceptions here
        }
        
        try { // Call Web Service Operation
            client16.QoSService service = new client16.QoSService();
            client16.QoS port = service.getQoSPort();
            // TODO initialize WS operation arguments here
            java.lang.String QoSEnquiry = "<qos>where</qos>";
            // TODO process result here
            java.lang.String result = port.getResource(QoSEnquiry);
            System.out.println("Result of QoS query is  "+result);
        } catch (Exception ex) {
            // TODO handle custom exceptions here
        }
        
    }
    
}
